Subject: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Apr 2015 17:40:18 +0300

> Date: Fri, 24 Apr 2015 07:11:24 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > > > Those who follow Markus Kuhn's advice, read here:
> > > >   http://www.cl.cam.ac.uk/~mgk25/ucs/quotes.html
> > >
> > > ...where the *only* argument given is, again, "it looked rather
> > > ugly".  That is the only "why do they want that" that we have
> > > heard, so far.
> > 
> > You are missing the point: this paper wants those "rather ugly"
> > characters to disappear from text content, and not everybody out
> > there uses Emacs for editing and reading that.
> 
> No, I didn't miss the fact that the paper is not about Emacs etc.
> The only _reason given_ in that paper for dropping use of `...'
> quoting (anywhere, everywhere) is what I quoted: "it looked rather
> ugly".

What other reasons can there be for replacing one character with
another?

> > He doesn't talk about Emacs at all.
> 
> You are repeating my point.  He is not talking about Emacs or
> anything similar to Emacs.  Except that he seems to be talking
> generally: As you say, "the old quoting characters" should
> "never be used" anywhere "for quoting purposes".
> 
> That includes Emacs.  But he does not speak to the uses of
> `...' in a context like Emacs.  He wants all contexts to change,
> but he makes no argument that takes a context like Emacs into
> account.

He doesn't care.  Read his other articles, and you will see.

> > He's talking about the world at large.  People who want to
> > follow him want the old quoting characters to never be used
> > at all for quoting purposes.
> 
> Maybe so.  But the argument given is far too weak to apply to
> Emacs.  That "rather ugly" reason might be sufficient for some
> people for some contexts.  It is not a strong argument for a
> context like Emacs.

For you, but you are biased.